unit U_FactoryInput;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, cxGraphics, cxCustomData, cxStyles, cxTL, cxMaskEdit, DB, ADODB,
  cxInplaceContainer, cxDBTL, cxControls, cxTLData, ComCtrls, ToolWin, StdCtrls,
  cxFilter, cxData, cxDataStorage, cxEdit, cxDBData, DBClient,
  cxGridCustomTableView, cxGridTableView, cxGridDBTableView, ExtCtrls,
  cxSplitter, cxGridLevel, cxClasses, cxGridCustomView, cxGrid,
  cxGridCustomPopupMenu, cxGridPopupMenu, RM_Dataset, RM_System, RM_Common,
  RM_Class, RM_GridReport, IdBaseComponent, IdComponent, IdTCPConnection,
  IdTCPClient, IdFTP, ShellAPI, IniFiles, cxCheckBox, cxCalendar, cxButtonEdit,
  cxTextEdit, cxDropDownEdit, BtnEdit, cxLookAndFeels, cxLookAndFeelPainters,
  cxNavigator, dxSkinsCore, dxSkinsDefaultPainters, dxDateRanges,
  dxBarBuiltInMenu, U_BaseList, Vcl.Menus, dxSkinWXI, dxScrollbarAnnotations;

type
  TfrmFactoryInput = class(TForm)
    ToolBar1: TToolBar;
    TBClose: TToolButton;
    ADOQueryTemp: TADOQuery;
    ADOQueryCmd: TADOQuery;
    ADOQueryMain: TADOQuery;
    ToolButton3: TToolButton;
    CDS_LXR: TClientDataSet;
    DS_LXR: TDataSource;
    ScrollBox1: TScrollBox;
    Label2: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label19: TLabel;
    CoName: TEdit;
    CoNote: TMemo;
    Label1: TLabel;
    CoAbbrName: TEdit;
    CoCode: TEdit;
    GPM_1: TcxGridPopupMenu;
    Label4: TLabel;
    CoAddress: TMemo;
    CoBusinessType: TBtnEditC;
    Panel2: TPanel;
    ToolBar2: TToolBar;
    ToolButton1: TToolButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    cxGrid1: TcxGrid;
    Tv1: TcxGridDBTableView;
    v3Column3: TcxGridDBColumn;
    Tv1Column1: TcxGridDBColumn;
    Tv1Column2: TcxGridDBColumn;
    cxGridDBColumn1: TcxGridDBColumn;
    Tv1Column3: TcxGridDBColumn;
    cxGridLevel1: TcxGridLevel;
    ToolButton2: TToolButton;
    Label5: TLabel;
    ParentCoName: TBtnEditC;
    GaiSu: TMemo;
    Label3: TLabel;
    Label8: TLabel;
    CoLevel: TComboBox;
    Label9: TLabel;
    Source: TBtnEditC;
    Label10: TLabel;
    DPNo: TEdit;
    Label11: TLabel;
    DS_Bank: TDataSource;
    CDS_Bank: TClientDataSet;
    ADOQuery1: TADOQuery;
    Panel1: TPanel;
    ToolBar3: TToolBar;
    ToolButton12: TToolButton;
    ToolButton13: TToolButton;
    ToolButton14: TToolButton;
    cxGrid4: TcxGrid;
    TV2: TcxGridDBTableView;
    cxGridDBColumn10: TcxGridDBColumn;
    cxGridDBColumn11: TcxGridDBColumn;
    cxGridDBColumn12: TcxGridDBColumn;
    cxGridLevel4: TcxGridLevel;
    category: TComboBox;
    Tv1Column4: TcxGridDBColumn;
    TV2Column1: TcxGridDBColumn;
    GPM_2: TcxGridPopupMenu;
    TV2Column2: TcxGridDBColumn;
    procedure FormDestroy(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure TBCloseClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure TBRafreshClick(Sender: TObject);
    procedure ToolButton3Click(Sender: TObject);
    procedure ToolButton4Click(Sender: TObject);
    procedure ToolButton5Click(Sender: TObject);
    procedure ToolButton1Click(Sender: TObject);
    procedure COGdyBtnDnClick(Sender: TObject);
    procedure COGdyBtnUpClick(Sender: TObject);
    procedure ToolButton2Click(Sender: TObject);
    procedure ParentCoNameBtnUpClick(Sender: TObject);
    procedure GaiSuDblClick(Sender: TObject);
    procedure ToolButton6Click(Sender: TObject);
    procedure ToolButton7Click(Sender: TObject);
    procedure ToolButton8Click(Sender: TObject);
    procedure ButtonEdit(Sender: TObject; AButtonIndex: Integer);
    procedure N1Click(Sender: TObject);
    procedure N2Click(Sender: TObject);
  private
    { Private declarations }
    procedure InitGrid();
    function SaveData(): Boolean;
  public
    fkhType: string;
    { Public declarations }
    FCOID: string;
    Fcategory: string;
  end;

var
  frmFactoryInput: TfrmFactoryInput;

implementation

uses
  U_DataLink, U_RTFun, U_ZDYHelp, U_ZDYHelpSelX, U_CompanySel;

{$R *.dfm}

procedure TfrmFactoryInput.InitGrid();
begin
  try

    ADOQueryMain.DisableControls;
    with ADOQueryMain do
    begin
      Filtered := False;
      Close;
      SQL.Clear;
      sql.Add(' select * from BS_Company where  CoType=''供应商'' and COID=''' + Trim(FCOID) + '''');
      Open;
    end;
    SCSHData(ADOQueryMain, ScrollBox1, 2);
    ParentCoName.TxtCode := ADOQueryMain.FieldByName('ParentCoCode').AsString;
    with ADOQueryMain do
    begin
      Filtered := False;
      Close;
      SQL.Clear;
      sql.Add(' select * from BS_Company_contact where COID=' + quotedstr(Trim(FCOID)));
      Open;
    end;
    SCreateCDS(ADOQueryMain, CDS_LXR);
    SInitCDSData(ADOQueryMain, CDS_LXR);
    with ADOQueryMain do
    begin
      Filtered := False;
      Close;
      SQL.Clear;
      sql.Add(' select * from BS_Company_Bank where COID=' + quotedstr(Trim(FCOID)));
      Open;
    end;
    SCreateCDS(ADOQueryMain, CDS_Bank);
    SInitCDSData(ADOQueryMain, CDS_Bank);

  finally
    ADOQueryMain.EnableControls;
  end;
end;

procedure TfrmFactoryInput.N1Click(Sender: TObject);
begin
  if CDS_LXR.IsEmpty then
    Exit;
  if Trim(CDS_LXR.fieldbyname('CCID').AsString) <> '' then
  begin
    if Application.MessageBox('确定要删除数据吗？', '提示', 32 + 4) <> IDYES then
      Exit;
    with ADOQueryCmd do
    begin
      Close;
      sql.Clear;
      sql.Add('delete from BS_Company_contact where CCID=''' + Trim(CDS_LXR.fieldbyname('CCID').AsString) + '''');
      ExecSQL;
    end;
  end;
  CDS_LXR.Delete;
  if CDS_LXR.IsEmpty = false then
  begin
    if CDS_LXR.Locate('IsDefault', true, []) = false then
    begin
      CDS_LXR.first;
      CDS_LXR.edit;
      CDS_LXR.FieldByName('IsDefault').value := true;
    end;
  end;
end;

procedure TfrmFactoryInput.N2Click(Sender: TObject);
begin
  if CDS_Bank.IsEmpty then
    Exit;
  if Trim(CDS_Bank.fieldbyname('CBID').AsString) <> '' then
  begin
    if Application.MessageBox('确定要删除数据吗？', '提示', 32 + 4) <> IDYES then
      Exit;
    with ADOQuery1 do
    begin
      Close;
      sql.Clear;
      sql.Add('delete from BS_Company_Bank where CBID=''' + Trim(CDS_Bank.fieldbyname('CBID').AsString) + '''');
      ExecSQL;
    end;
  end;
  CDS_Bank.Delete;
  if CDS_Bank.IsEmpty = false then
  begin
    if CDS_Bank.Locate('IsDefault', true, []) = false then
    begin
      CDS_Bank.first;
      CDS_Bank.edit;
      CDS_Bank.FieldByName('IsDefault').value := true;
    end;
  end;
end;

procedure TfrmFactoryInput.ParentCoNameBtnUpClick(Sender: TObject);
begin
  try
    frmCompanySel := TfrmCompanySel.Create(Application);
    with frmCompanySel do
    begin
      FCoType := '供应商';
      if ShowModal = 1 then
      begin
        ParentCoName.Text := Trim(CDS_1.fieldbyname('CoAbbrName').AsString);
        ParentCoName.TxtCode := Trim(CDS_1.fieldbyname('CoCode').AsString);
      end;
    end;
  finally
    frmCompanySel.Free;
  end;
end;

procedure TfrmFactoryInput.FormDestroy(Sender: TObject);
begin

  frmFactoryInput := nil;
end;

procedure TfrmFactoryInput.COGdyBtnDnClick(Sender: TObject);
begin
  TBtnEditC(Sender).Text := '';
  TBtnEditC(Sender).TxtCode := '';
end;

procedure TfrmFactoryInput.COGdyBtnUpClick(Sender: TObject);
var
  fsj: string;
  FWZ: Integer;
begin
  fsj := Trim(TEdit(Sender).Hint);
  FWZ := Pos('/', fsj);
  try
    frmZDYHelp := TfrmZDYHelp.Create(Application);
    with frmZDYHelp do
    begin
      flag := Copy(fsj, 1, FWZ - 1);
      flagname := Copy(fsj, FWZ + 1, Length(fsj) - FWZ);
      if ShowModal = 1 then
      begin
        TEdit(Sender).Text := Trim(ClientDataSet1.fieldbyname('ZDYName').AsString);
      end;
    end;
  finally
    frmZDYHelp.Free;
  end;
end;

procedure TfrmFactoryInput.FormClose(Sender: TObject; var Action: TCloseAction);
begin

  Action := caFree;
end;

procedure TfrmFactoryInput.TBCloseClick(Sender: TObject);
begin

  close;
end;

procedure TfrmFactoryInput.FormShow(Sender: TObject);
begin

  ReadCxGrid(trim(self.Caption) + 'TV1', Tv1, '供应商管理');
  ReadCxGrid(trim(self.Caption) + 'TV2', Tv2, '供应商管理');
  InitGrid();

  if trim(FCOID) = '' then
  begin
    with ADOQueryTemp do
    begin
      Close;
      sql.Clear;
      sql.Add(' exec P_BS_Com_Get_No @Str=''G'' ');
      Open;
    end;
    CoCode.Text := trim(ADOQueryTemp.FieldByName('NewCoCode').asstring);
    category.Text := Fcategory;
    if trim(Fcategory) = '管理' then
    begin
      category.Enabled := True;
      category.Text := '';
    end;
//    ShowMessage(Fcategory);
  end;
end;

procedure TfrmFactoryInput.GaiSuDblClick(Sender: TObject);
var
  fsj, GS: string;
  FWZ: Integer;
begin
  fsj := Trim(TEdit(Sender).Hint);
  GS := Trim(TEdit(Sender).Text);
//  ShowMessage(GSText);
  FWZ := Pos('/', fsj);
  try
    frmZDYHelpSelX := TfrmZDYHelpSelX.Create(Application);
    with frmZDYHelpSelX do
    begin
      flag := Copy(fsj, 1, FWZ - 1);
      flagname := Copy(fsj, FWZ + 1, Length(fsj) - FWZ);
      if ShowModal = 1 then
      begin
//        TEdit(Sender).Text := Trim(ClientDataSet1.fieldbyname('ZDYName').AsString);
        while frmZDYHelpSelX.ClientDataSet1.Locate('SSel', true, []) do
        begin

          if trim(GS) = '' then
            GS := trim(ClientDataSet1.fieldbyname('ZDYName').AsString)
          else
            GS := GS + sLineBreak + trim(ClientDataSet1.fieldbyname('ZDYName').AsString);

          TEdit(Sender).Text := GS;
          frmZDYHelpSelX.ClientDataSet1.delete;
        end;
      end;
    end;
  finally
    frmZDYHelpSelX.Free;
  end;
end;

procedure TfrmFactoryInput.TBRafreshClick(Sender: TObject);
begin
  InitGrid();
end;

function TfrmFactoryInput.SaveData(): Boolean;
var
  MaxId, MaxSubId, MaxSubId1, FCoCode, FCCID, FCBID: string;
begin
  try
    ADOQueryCmd.Connection.BeginTrans;
    if Trim(FCOID) = '' then
    begin
      if GetLSNo(ADOQueryCmd, MaxId, 'CO', 'BS_Company', 4, 1) = False then
      begin
        Result := False;
        ADOQueryCmd.Connection.RollbackTrans;
        Application.MessageBox('取最大号失败！', '提示', 0);
        Exit;
      end;

      if trim(CoCode.Text) = '' then
      begin
        with ADOQueryTemp do
        begin
          Close;
          sql.Clear;
          sql.Add(' exec P_BS_Com_Get_No @Str=''G'' ');
          Open;
        end;
        CoCode.Text := trim(ADOQueryTemp.FieldByName('NewCoCode').asstring);
      end;
    end
    else
    begin
      MaxId := Trim(FCOID);
    end;

    with ADOQueryCmd do
    begin
      Close;
      SQL.Clear;
      sql.Add('select * from BS_Company where COID=''' + Trim(FCOID) + '''');
      Open;
    end;
    with ADOQueryCmd do
    begin
      if Trim(FCOID) = '' then
      begin
        Append;
        FieldByName('FillId').Value := Trim(DCode);
        FieldByName('Filler').Value := Trim(DName);
        FieldByName('status').Value := '0';
      end
      else
      begin
        Edit;
        FieldByName('EditId').Value := Trim(DCode);
        FieldByName('Editer').Value := Trim(DName);
        FieldByName('Edittime').Value := SGetServerDateTime(ADOQueryTemp);
      end;
      FieldByName('COID').Value := Trim(MaxId);
      RTSetsavedata(ADOQueryCmd, 'BS_Company', ScrollBox1, 2);
      FieldByName('CoType').Value := '供应商';
      FieldByName('ParentCoCode').Value := ParentCoName.TxtCode;
      Post;
    end;

    with ADOQueryCmd do
    begin
      Close;
      sql.Clear;
      sql.Add('select * from BS_Company where CoCode=' + quotedstr(trim(CoCode.Text)));
      Open;
    end;
    if ADOQueryCmd.RecordCount > 1 then
    begin
      ADOQueryCmd.Connection.RollbackTrans;
      Application.MessageBox('供应商编号重复!', '提示', 0);
      Exit;
    end;

    with ADOQueryCmd do
    begin
      Close;
      sql.Clear;
      sql.Add('select * from BS_Company where CoName=' + quotedstr(trim(CoName.Text)));
      sql.Add(' and CoType=''供应商''   ');
      Open;
    end;
    if ADOQueryCmd.RecordCount > 1 then
    begin
      ADOQueryCmd.Connection.RollbackTrans;
      Application.MessageBox('供应商名称重复!', '提示', 0);
      Exit;
    end;

    with ADOQueryCmd do
    begin
      Close;
      sql.Clear;
      sql.Add('select * from BS_Company where CoAbbrName=' + quotedstr(trim(CoAbbrName.Text)));
      sql.Add(' and CoType=''供应商''   ');
      Open;
    end;
    if ADOQueryCmd.RecordCount > 1 then
    begin
      ADOQueryCmd.Connection.RollbackTrans;
      Application.MessageBox('供应商简称重复!', '提示', 0);
      Exit;
    end;
//////////////            联系人              ///////////////////
    if not CDS_LXR.IsEmpty then
    begin
      with CDS_LXR do
      begin
        CDS_LXR.First;
        while not Eof do
        begin
          FCCID := Trim(CDS_LXR.fieldbyname('CCID').AsString);
          if Trim(FCCID) = '' then
          begin
            if GetLSNo(ADOQueryCmd, MaxSubId, 'CCS', 'BS_Company_contact', 4, 1) = False then
            begin
              ADOQueryCmd.Connection.RollbackTrans;
              Application.MessageBox('取系人最大ID失败!', '提示', 0);
              Exit;
            end;
          end
          else
          begin
            MaxSubId := trim(FCCID);
          end;

          with ADOQueryCmd do
          begin
            Close;
            sql.Clear;
            sql.Add('select * from BS_Company_contact where CCID=' + quotedstr(Trim(MaxSubId)));
            Open;
          end;
          with ADOQueryCmd do
          begin
            if Trim(FCCID) = '' then
            begin
              Append;
            end
            else
            begin
              Edit;
            end;
            FieldByName('CCID').Value := Trim(MaxSubId);
            FieldByName('COID').Value := Trim(MaxId);
            RTSetSaveDataCDS(ADOQueryCmd, Tv1, CDS_LXR, 'BS_Company_contact', 0);
            Post;
          end;
          with CDS_LXR do
          begin
            Edit;
            FieldByName('CCID').Value := Trim(MaxSubId);
            Post;
          end;
          CDS_LXR.Next;
        end;
      end;
    end;
//////////////            联系人              ///////////////////
//////////////            银行账户              ///////////////////
    if not CDS_Bank.IsEmpty then
    begin
      with CDS_Bank do
      begin
        CDS_Bank.First;
        while not Eof do
        begin
          FCBID := Trim(CDS_Bank.fieldbyname('CBID').AsString);
          if Trim(FCBID) = '' then
          begin
            if GetLSNo(ADOQuery1, MaxSubId1, 'CBS', 'BS_Company_Bank', 4, 1) = False then
            begin
              ADOQuery1.Connection.RollbackTrans;
              Application.MessageBox('银行账户最大ID失败!', '提示', 0);
              Exit;
            end;
          end
          else
          begin
            MaxSubId1 := trim(FCBID);
          end;

          with ADOQuery1 do
          begin
            Close;
            sql.Clear;
            sql.Add('select * from BS_Company_Bank where CBID=' + quotedstr(Trim(MaxSubId1)));
            Open;
          end;
          with ADOQuery1 do
          begin
            if Trim(FCBID) = '' then
            begin
              Append;
            end
            else
            begin
              Edit;
            end;
            FieldByName('CBID').Value := Trim(MaxSubId1);
            FieldByName('COID').Value := Trim(MaxId);
            RTSetSaveDataCDS(ADOQuery1, Tv2, CDS_Bank, 'BS_Company_Bank', 0);
            Post;
          end;
          with CDS_Bank do
          begin
            Edit;
            FieldByName('CBID').Value := Trim(MaxSubId1);
            Post;
          end;
          CDS_Bank.Next;
        end;
      end;
    end;
//////////////            银行账户             ///////////////////
////////////////         更新名称          ////////////////////////
//    with ADOQueryCmd do
//    begin
//      Close;
//      sql.Clear;
//      sql.Add('exec P_Com_Up_Code @COID=' + quotedstr(Trim(MaxId)));
//      ExecSQL;
//    end;
////////////////         更新名称          ////////////////////////
    ADOQueryCmd.Connection.CommitTrans;
    FCCID := Trim(MaxSubId);
    Result := True;
  except
    Result := false;
    ADOQueryCmd.Connection.RollbackTrans;
    Application.MessageBox('保存异常!', '提示', 0);
  end;
end;

procedure TfrmFactoryInput.ToolButton3Click(Sender: TObject);
begin

  if Trim(CoAbbrName.Text) = '' then
  begin
    Application.MessageBox('简称不能为空!', '提示', 0);
    Exit;
  end;
  if Trim(category.Text) = '' then
  begin
    Application.MessageBox('供应商类别不能为空!', '提示', 0);
    Exit;
  end;
  if Trim(CoName.Text) = '' then
  begin
    Application.MessageBox('名称不能为空!', '提示', 0);
    Exit;
  end;
  if SaveData() then
  begin
    Application.MessageBox('保存成功!', '提示', 0);
    ModalResult := 1;
  end;
end;

procedure TfrmFactoryInput.ToolButton4Click(Sender: TObject);
var
  maxno: string;
begin
  if GetLSNo(ADOQueryCmd, maxno, 'CC', 'BS_Company_contact', 4, 1) = False then
  begin
    Application.MessageBox('取系人最大ID失败!', '提示', 0);
    Exit;
  end;
  if CDS_LXR.IsEmpty then
  begin
    with CDS_LXR do
    begin
      Append;
      fieldbyname('CCID').Value := trim(maxno);
      fieldbyname('IsDefault').Value := true;
      Post;
    end;
  end
  else
  begin
    with CDS_LXR do
    begin
      Append;
      fieldbyname('CCID').Value := trim(maxno);
      fieldbyname('IsDefault').Value := false;
      Post;
    end;
  end;

end;

procedure TfrmFactoryInput.ToolButton5Click(Sender: TObject);
begin
  if CDS_LXR.IsEmpty then
    Exit;
  if Trim(CDS_LXR.fieldbyname('CCID').AsString) <> '' then
  begin
    if Application.MessageBox('确定要删除数据吗？', '提示', 32 + 4) <> IDYES then
      Exit;
    with ADOQueryCmd do
    begin
      Close;
      sql.Clear;
      sql.Add('delete from BS_Company_contact where CCID=''' + Trim(CDS_LXR.fieldbyname('CCID').AsString) + '''');
      ExecSQL;
    end;
  end;
  CDS_LXR.Delete;
  if CDS_LXR.IsEmpty = false then
  begin
    if CDS_LXR.Locate('IsDefault', true, []) = false then
    begin
      CDS_LXR.first;
      CDS_LXR.edit;
      CDS_LXR.FieldByName('IsDefault').value := true;
    end;
  end;
end;

procedure TfrmFactoryInput.ToolButton6Click(Sender: TObject);
var
  BankFlag: string;
begin
  BankFlag := trim(CDS_Bank.FieldByName('CBID').AsString);
  if CDS_Bank.Locate('IsDefault', true, []) then
  begin
    CDS_Bank.edit;
    CDS_Bank.FieldByName('IsDefault').value := false;
  end;
  if CDS_Bank.Locate('CBID', BankFlag, []) then
  begin
    CDS_Bank.edit;
    CDS_Bank.FieldByName('IsDefault').value := true;
  end;

end;

procedure TfrmFactoryInput.ToolButton7Click(Sender: TObject);
var
  Maxbno: string;
begin
  if GetLSNo(ADOQueryCmd, Maxbno, 'CB', 'BS_Company_Bank', 4, 1) = False then
  begin
    Application.MessageBox('银行账户最大ID失败!', '提示', 0);
    Exit;
  end;
  if CDS_Bank.IsEmpty then
  begin
    with CDS_Bank do
    begin
      Append;
      fieldbyname('CBID').Value := trim(Maxbno);
      fieldbyname('IsDefault').Value := true;
      Post;
    end;
  end
  else
  begin
    with CDS_Bank do
    begin
      Append;
      fieldbyname('CBID').Value := trim(Maxbno);
      fieldbyname('IsDefault').Value := false;
      Post;
    end;
  end;

end;

procedure TfrmFactoryInput.ToolButton8Click(Sender: TObject);
begin
  if CDS_Bank.IsEmpty then
    Exit;
  if Trim(CDS_Bank.fieldbyname('CBID').AsString) <> '' then
  begin
    if Application.MessageBox('确定要删除数据吗？', '提示', 32 + 4) <> IDYES then
      Exit;
    with ADOQuery1 do
    begin
      Close;
      sql.Clear;
      sql.Add('delete from BS_Company_Bank where CBID=''' + Trim(CDS_Bank.fieldbyname('CBID').AsString) + '''');
      ExecSQL;
    end;
  end;
  CDS_Bank.Delete;
  if CDS_Bank.IsEmpty = false then
  begin
    if CDS_Bank.Locate('IsDefault', true, []) = false then
    begin
      CDS_Bank.first;
      CDS_Bank.edit;
      CDS_Bank.FieldByName('IsDefault').value := true;
    end;
  end;
end;

procedure TfrmFactoryInput.ButtonEdit(Sender: TObject; AButtonIndex: Integer);
begin
  try
    frmZDYHelp := TfrmZDYHelp.Create(Application);
    with frmZDYHelp do
    begin
      flag := 'position';
      flagname := '职位';
      if ShowModal = 1 then
      begin
        CDS_LXR.Edit;
        CDS_LXR.fieldbyname('position').Value := Trim(ClientDataSet1.fieldbyname('ZDYName').AsString);
     //   Order_Sub.fieldbyname('PRTCode').Value:=Trim(ClientDataSet1.fieldbyname('ZDYNo').AsString);
        CDS_LXR.Post;
      end;
    end;
  finally
    frmZDYHelp.Free;
  end;
end;

procedure TfrmFactoryInput.ToolButton1Click(Sender: TObject);
var
  DwFlag: string;
begin
  DwFlag := trim(CDS_LXR.FieldByName('CCID').AsString);
  if CDS_LXR.Locate('IsDefault', true, []) then
  begin
    CDS_LXR.edit;
    CDS_LXR.FieldByName('IsDefault').value := false;
  end;
  if CDS_LXR.Locate('CCID', DwFlag, []) then
  begin
    CDS_LXR.edit;
    CDS_LXR.FieldByName('IsDefault').value := true;
  end;

end;

procedure TfrmFactoryInput.ToolButton2Click(Sender: TObject);
begin
  WriteCxGrid(trim(self.Caption) + 'TV1', Tv1, '供应商管理');
  WriteCxGrid(trim(self.Caption) + 'TV2', Tv2, '供应商管理');
end;

end.

